#ifndef mailsys_h_included  
#define mailsys_h_included  
/******************************************************************************
*                         ** Company Confidential **
*                  ** Copyright 1994, All rights Reserved **
* %Z%%M% version %I% date:%G%
******************************************************************************/

// -MQBeg- [Module_Includes] [mailsys_h] <00000003.00000000> Retained!
// -MQEnd- [Module_Includes] [mailsys_h] <00000003.00000000> 

// -MQBeg- [Module_Declarations_1] [mailsys_h] <00000003.00000000> Retained!
// -MQEnd- [Module_Declarations_1] [mailsys_h] <00000003.00000000> 

// -MQBeg- [Class_Spec] [MailSystem] <00000000.00000027> 
/******************************************************************************
MailSystem:
******************************************************************************/
class MailSystem 
{
// -MQBeg- [Declarations_1] [MailSystem] <00000000.00000027> Retained!
// -MQEnd- [Declarations_1] [MailSystem] <00000000.00000027> 
public:
  void create_user(User *NewUser);
  User * locate_user(int extension);
  Boolean dial_extension(int extension);
  void route_message(User *TargetUser);
private:
  User *user_list; 
// -MQBeg- [Declarations_2] [MailSystem] <00000000.00000027> Retained!
// -MQEnd- [Declarations_2] [MailSystem] <00000000.00000027> 
};

// -MQEnd- [Class_Spec] [MailSystem] <00000000.00000027> 

// -MQBeg- [Module_Declarations_2] [mailsys_h] <00000003.00000000> Retained!
// -MQEnd- [Module_Declarations_2] [mailsys_h] <00000003.00000000> 

#endif
